version: '3'
services:

  db:
    image: postgres:11.5-alpine
    volumes:
      - ./pg-init-scripts:/docker-entrypoint-initdb.d
    environment:
      - POSTGRES_USER=root
      - POSTGRES_PASSWORD=Password2023!
      - POSTGRES_MULTIPLE_DATABASES=order
    ports:
      - "5432:5432"

  redis:
    image: redis
    ports:
      - 6379:6379
    environment:
      - REDIS_PASSWORD=Password2023!
    volumes:
      - ./redis_data:/data

  # order:
  #   image: orderapi
  #   environment:
  #     POSTGRES_USERNAME: root
  #     POSTGRES_PASSWORD: Password2023!
  #     POSTGRES_HOST: db
  #     POSTGRES_PORT: 5432
  #     POSTGRES_DATABASE: order
      
  #     REDIS_HOST: redis
  #     REDIS_PASSWORD: Password2023!
  #     REDIS_PORT: 6379

  #     ENV: DEV
  #   ports:
  #     - "5002:80"
    
  #   depends_on:
  #     - db
  #     - redis
